Package org.eclipse.lemminx.uriresolver

## Class CacheResourceDownloadingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.lemminx.uriresolver.CacheResourceException
        - - org.eclipse.lemminx.uriresolver.CacheResourceDownloadingException

All Implemented Interfaces:
  `Serializable`

    public class CacheResourceDownloadingException
    extends CacheResourceException

Exception thrown when a resource (XML Schema, DTD) is downloading.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `CacheResourceDownloadingException.CacheResourceDownloadingError`

### Constructor Summary

Constructors
`CacheResourceDownloadingException​(String resourceURI, Path resourceCachePath, CacheResourceDownloadingException.CacheResourceDownloadingError errorCode, CompletableFuture<Path> future, Throwable e)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CacheResourceDownloadingException.CacheResourceDownloadingError` `getErrorCode()`
`CompletableFuture<Path>` `getFuture()`

### Methods inherited from class org.eclipse.lemminx.uriresolver.CacheResourceException

`getResourceURI, isDTD`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheResourceDownloadingException

    public CacheResourceDownloadingException​(String resourceURI,
                                             Path resourceCachePath,
                                             CacheResourceDownloadingException.CacheResourceDownloadingError errorCode,
                                             CompletableFuture<Path> future,
                                             Throwable e)

### Method Detail

#### getErrorCode

    public CacheResourceDownloadingException.CacheResourceDownloadingError getErrorCode()

#### getFuture

    public CompletableFuture<Path> getFuture()